﻿<%@ Control Language="C#" ClassName="LibraryDMSUploader" %>
<script runat="server">
    //display of the folder tree. Defaults to true
    private bool _displayFolderTree = true;
    public bool displayFolderTree
    {
        get
        {
            return _displayFolderTree;
        }
        set
        {
            _displayFolderTree = value;
        }
    }

    /// <summary>
    /// Check that the user is logged in via the database and that the user is a cms user
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void Page_Load(object sender, EventArgs e)
    {
        //Check the database as an extra security measure.
        //if (!Ektron.Cms.ObjectFactory.GetUser().IsCmsLoggedIn && Ektron.Cms.ObjectFactory.GetUser().IsCmsUser)
        if (!Ektron.Cms.ObjectFactory.GetUser().IsLoggedIn && Ektron.Cms.ObjectFactory.GetUser().IsCmsUser)
        {
            //display login control if not logged in
            multidmslogin.Visible = true;
            multidmslogin.Controls.Add(new Ektron.Cms.Controls.Login());
            multidmsloggedin.Visible = false;
        }
        else
        {
            //display of folder tree
            folderTree.Visible = _displayFolderTree;
            //read config settings to get valid dms and library types
            multidmsfiletypes.Value = ConfigurationManager.AppSettings["ek_DMSFileTypeWhiteList"].Replace("*", "").Replace(" ", "");
            Ektron.Cms.API.Library libraryAPI = new Ektron.Cms.API.Library();
            Ektron.Cms.LibraryConfigData lib_setting_data = libraryAPI.GetLibrarySettings();
            multilibfiletypes.Value = "." + (lib_setting_data.ImageExtensions + "," + lib_setting_data.FileExtensions).Replace(",", ",.");
        }
        //register necessary js and css
        Ektron.Cms.Framework.UI.Packages.EktronCoreJS.Register(this);
        Ektron.Cms.Framework.UI.JavaScript.Register(this, "/workarea/widgets/librarydmsuploader/js/dropzone.js");
        Ektron.Cms.Framework.UI.JavaScript.Register(this, "/workarea/widgets/librarydmsuploader/js/librarydmsuploader.js");
        Ektron.Cms.Framework.UI.Css.Register(this, "/workarea/widgets/librarydmsuploader/css/dropzone.css");
        Ektron.Cms.Framework.UI.Css.Register(this, "/workarea/widgets/librarydmsuploader/css/librarydmsuploader.css");
        //change the location of these 2 files if necessary if on an older version
        //Ektron.Cms.Framework.UI.JavaScript.Register(this, "/UX/vendor/twitter/bootstrap-3.0.0/js/bootstrap.min.js");
        //Ektron.Cms.Framework.UI.Css.Register(this, "/UX/vendor/twitter/bootstrap-3.0.0/css/bootstrap.min.css");
        Ektron.Cms.Framework.UI.JavaScript.Register(this, "/workarea/widgets/librarydmsuploader/js/bootstrap.min.js");
        Ektron.Cms.Framework.UI.Css.Register(this, "/workarea/widgets/librarydmsuploader/css/bootstrap.min.css");
    }
</script>

<asp:Panel ID="multidmsloggedin" runat="server">
    <div class="container-fluid" style="margin-right: 15px; margin-left:15px;">
        <div class="row">
            <div class="col-md-3">
                Please select a folder to upload to then drag the files in to the right.
            <ektronUI:FolderTree ID="folderTree" CssClass="multidmsFolderTree" runat="server" RootId="0" ShowRoot="true" SelectionMode="SingleForAll"></ektronUI:FolderTree>
            </div>
            <div class="col-md-9 multidmsdropzone">
                <div id="supportedfiletypes"></div>
                <div class="btn-group btn-toggle multidmstypetoggle">
                    <button class="btn btn-default multidmsselectedtype" onclick="return ChangeFileList(0, this);">DMS</button>
                    <button class="btn btn-default" onclick="return ChangeFileList(1, this);">Library</button>
                </div>
                <div id="multidmsupload" runat="server" class="dropzone multidms"></div>
                <input type="hidden" runat="server" id="multidmsfiletypes" class="multidmsfiletypes" />
                <input type="hidden" runat="server" id="multilibfiletypes" class="multilibfiletypes" />
                <input type="hidden" id="multiuploadtype" class="multiuploadtype" value="0" />
                <input type="hidden" runat="server" id="isworkarea" class="isworkarea" value="0" />
            </div>
        </div>
    </div>
</asp:Panel>
<asp:Panel ID="multidmslogin" runat="server" Visible="false">
    <div>
        <p>You must be logged in.</p>
    </div>
</asp:Panel>




