﻿//don't auto discover the dropzone as we need to manually configure it.
Dropzone.autoDiscover = false;
var myDropzone = null;
//Change this handler location if used outside of the workarea and you move have to move the folder out.
var multidmsURL = '/workarea/widgets/LibraryDMSUploader/handlers/LibraryDMSUploader.ashx';
//when the widget loads, initialize the dropzone
$(document).ready(function () {
    ChangeFileList(0, $('.multidmstypetoggle .btn').get(0));
});

//Initialization of the dropzone
function InitDropzone() {
    try {
        //Check to see if the dropzone is null so we do not reinit multiple times.
        if (myDropzone == null) {
            //find the dropzone class and populate the parameters
            myDropzone = new Dropzone(document.getElementsByClassName('multidms')[0], {
                url: multidmsURL, //url specified
                paramName: "file", //using stock naming convention
                parallelUploads: 2, //number of files to upload at a time
                maxFilesize: 2000, //MB
                acceptedFiles: $($('.multidmsfiletypes')[0]).val(), //list of file types populated via web.config/library settings
                dictDefaultMessage: 'Drop files here to upload. Files that are dropped will be automatically uploaded.',
                init: function () {
                    //add an on sending event to retrieve the selected folder and pass in the dms type (DMS(0), Library(1))
                    this.on("sending", function (file, xhr, formData) {
                        // Will send the filesize along with the file as POST data.
                        formData.append("fid", $('.multidmsFolderTree .selected').attr('data-ektron-id'));
                        //formData.append("dmstype", $('.multidmsuploadtype .active input').val());
                        formData.append("dmstype", $('.multiuploadtype').val());
                    });
                    this.on("success", function (file, response) {
                        //success function to disply message based on response from handler
                        if (JSON.parse(response).success) { // success
                            var node, _i, _len, _ref, _results;
                            file.previewElement.classList.add("dz-filename");
                            _ref = file.previewElement.querySelectorAll("[data-dz-name]");
                            $(_ref).html("<a href='" + JSON.parse(response).folderPath + "' target='_blank'>" + $(_ref).html() + "</a>");
                        }
                        else {  //  error 
                            var node, _i, _len, _ref, _results;
                            var message = JSON.parse(response).Message
                            file.previewElement.classList.add("dz-error");
                            _ref = file.previewElement.querySelectorAll("[data-dz-errormessage]");
                            _results = [];
                            for (_i = 0, _len = _ref.length; _i < _len; _i++) {
                                node = _ref[_i];
                                _results.push(node.textContent = message);
                            }
                            //display the error message returned
                            return _results;
                        }
                    });
                }
            });
        }
    }
    catch (Exception) {
        //log any exceptions to the console for troubleshooting purposes
        console.log(Exception);
    }
}

//Changes the accepted file type list based on the library or dms button being clicked
function ChangeFileList(type, control) {
    //initialize the dropzone if it hasn't been created
    if (myDropzone == null) {
        InitDropzone();
    }
    //retrieve the file types for the button clicked
    $('.multiuploadtype').val(type);
    $('.multidmsselectedtype').removeClass('multidmsselectedtype');
    if (type == 0) { //dms type
        var dmsTypes = $($('.multidmsfiletypes')[0]).val().replace(",", "").replace(".", " ");
        var names = '';
        var items = dmsTypes.split(',');
        $(items).each(function () { names += this + " " });
        $("#supportedfiletypes").html("DMS Extensions: <br />" + names);
        myDropzone.options.acceptedFiles = dmsTypes
    }
    else { //library type
        $("#supportedfiletypes").html("Library Extensions: <br />" + $($('.multilibfiletypes')[0]).val());
        myDropzone.options.acceptedFiles = $($('.multilibfiletypes')[0]).val();
    }
    //change the active button
    $(control).parent().parent().find('.active').removeClass('active');
    $(control).addClass('active');
    return false;
}